org.eclipse.net4j.util.concurrent

## Class RunnableWithName

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.RunnableWithName

- All Implemented Interfaces:
    java.lang.Runnable

      public abstract class RunnableWithName
      extends java.lang.Object
      implements java.lang.Runnable

  Since:
    3.6
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunnableWithName()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `doRun()`
    `abstract java.lang.String` | `getName()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunnableWithName

          public RunnableWithName()

  - ### Method Detail

    - #### run

          public final void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### getName

          public abstract java.lang.String getName()

    - #### doRun

          protected abstract void doRun()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html